%global spectool_version 1.0.10
%bcond_without python3

Name:           rpmdevtools
Version:        8.10
Release:        9
Summary:        RPM Development Tools

License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz

Patch0001:      0001-bumpspec-checksig-Avoid-python-3.6-regex-related-dep.patch
#https://pagure.io/fork/mdomonko/rpmdevtools/c/1d092174e75c63de020ecd48cee449d59de2141e
Patch0002:      0002-BZ-1851499-port-to-str-return-values.patch
Patch0003:      0003-fix-return-value-error-for-rpminfo.pacth

BuildArch:      noarch
%if %{with python3}
BuildRequires:  python3 rpm-python3
%else
BuildRequires:  python >= 2.7 rpm-python
%endif
BuildRequires:  emacs-common >= 1:22.3-3 bash-completion perl-generators help2man %{_bindir}/pod2man 
Provides:       spectool = %{spectool_version}
Requires:       curl diffutils fakeroot file findutils gawk grep rpm-build >= 4.4.2.3
%if %{with python3}
Requires:       rpm-python3
%else
Requires:       python >= 2.4 rpm-python
%endif
Requires:       sed emacs-filesystem

%description
rpmdevtools contains many scripts to aid in package development.
rpmdevtools when installed also pulls in (roughly) the explicit minimum build environment as defined in packaging guidelines,
and contains (X)Emacs helpers that integrates rpm-spec-mode.el with rpmdev-newspec.

%package_help

%prep
%autosetup -p1
%if %{with python3}
grep -lF "%{_bindir}/python " * | xargs sed -i -e "s|%{_bindir}/python |%{_bindir}/python3 |"
%endif

%build
%configure --libdir=%{_prefix}/lib
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
echo %%{_datadir}/bash-completion > %{name}.files
[ -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d ] && \
echo %%{_sysconfdir}/bash_completion.d > %{name}.files

for dir in %{_emacs_sitestartdir} ; do
  install -dm 755 $RPM_BUILD_ROOT$dir
  ln -s %{_datadir}/rpmdevtools/rpmdev-init.el $RPM_BUILD_ROOT$dir
  touch $RPM_BUILD_ROOT$dir/rpmdev-init.elc
done

%files -f %{name}.files
%license COPYING
%doc NEWS
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_datadir}/rpmdevtools/
%{_emacs_sitestartdir}/rpmdev-init.el
%ghost %{_emacs_sitestartdir}/rpmdev-init.elc

%files help
%{_mandir}/man[18]/*.[18]*

%changelog
* Mon Mar 21 2022 liyanan  <liyanan32@huawei.com> - 8.10-9
- BZ 1851499 port to str return values
- fix return value error for rpminfo

* Fri Feb 21 2020 openEuler Buildtam <buildteam@openeuler.org> - 8.10-8
- disable python2

* Thu Nov 07 2019 openEuler Buildtam <buildteam@openeuler.org> - 8.10-7
- Package Init
